Method: spaces.threads.patch

更新 1:1 應用程式即時訊息聊天室中的討論串。

支援下列驗證類型:

僅支援一對一應用程式即時訊息聊天室。如果呼叫其他聊天室類型或使用使用者驗證,則會傳回錯誤。

HTTP 要求

PATCH https://chat.googleapis.com/v1/{thread.name=spaces/*/threads/*}

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
thread.name

string

ID。討論串的資源名稱。

範例:spaces/{space}/threads/{thread}

查詢參數

參數
updateMask

string (FieldMask format)

(選用步驟) 要更新的欄位清單。

目前支援的欄位路徑:- threadMetadata - threadMetadata.title - threadMetadata.icon

要求主體

要求主體包含 Thread 的例項。

回應主體

如果成功,回應主體會包含 Thread 的執行個體。

授權範圍

需要下列 OAuth 範圍:

  • https://www.googleapis.com/auth/chat.bot

詳情請參閱授權指南。